=== debian/changelog ===
atlas-ecmwf (0.23.0-1) unstable; urgency=medium

  * Add debian/watch file
  * New upstream release
    - New patch missing-defs.patch : disable some tests to allow compilation
      against eckit 1.15.4

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jan 2021 21:27:08 +0000
