## atlas-ecmwf 0.26.0

=== debian/changelog ===
atlas-ecmwf (0.26.0-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable clang-tidy on amd64 arm64, omp.h is having a strange
      build failure with clang-12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Aug 2021 20:50:07 +0200

atlas-ecmwf (0.26.0-1) unstable; urgency=medium

  * New upstream release
    - Minor libname soversion now 0.26.0
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Aug 2021 09:14:18 +0100

atlas-ecmwf (0.25.0-3ubuntu1) impish; urgency=medium

  * Disable clang-tidy on amd64 arm64, omp.h is having a strange
    build failure with clang-12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Jun 2021 23:00:34 +0200

atlas-ecmwf (0.25.0-3) unstable; urgency=medium

  * Fix typo in arch name s/ppc54el/ppc64el/ . Closes: #990284
  * Drop OMP suppport for riscv64, sparc64 archs.
  * Enable tests for logging

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jun 2021 16:58:21 +0100

atlas-ecmwf (0.25.0-2) unstable; urgency=medium

  * Drop 32-bit support. Closes: #987482
    - Drop ulong-32bit.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jun 2021 08:33:27 +0100

atlas-ecmwf (0.25.0-1) unstable; urgency=medium

  * New upstream release
    - Minor libname soversion now 0.25.0
  * Update atlas-name.patch
  * Install /etc/atlas/config.yaml in lib package
  * Drop unnecessary dh_auto_clean clause

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 May 2021 14:00:12 +0100

atlas-ecmwf (0.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Apr 2021 10:37:59 +0100

atlas-ecmwf (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Support for Proj 8. Closes: #983210
  * Bump dependency on fckit to >= 0.9.2-2 to fix regression in -1.
  * Minor libname soversion now 0.24.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Mar 2021 10:08:13 +0000
