=== debian/rules ===
--- 
+++ 
@@ -18,28 +18,28 @@
 DEB_FFLAGS_MAINT_APPEND= -I$(FMODDIR)
 include /usr/share/dpkg/buildflags.mk
 
-# Fixes for 32-bit archss
-ARCH_32BIT:=   i386 armel armhf mipsel hppa hurd-i386 m68k powerpc sh4 x32
-ENABLE_32BIT:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_32BIT)),On,Off)
-ENABLE_FORTRAN:=$(if $(filter $(DEB_TARGET_ARCH), $(ARCH_32BIT)),Off,On)
 
 FCKIT_ARCHS:= amd64 arm64 mips64el ppc64el s390x
 ENABLE_CLANG_TIDY:= $(if $(filter $(DEB_TARGET_ARCH), $(FCKIT_ARCHS)),On,Off)
 
 # Strange bug with omp.h headers and clang-tidy on some archs
-ARCH_CLANG_TIDY_OFF:= s390x mipsel
+ARCH_CLANG_TIDY_OFF:= amd64 arm64 ppc64el s390x mipsel
 ENABLE_CLANG_TIDY:= $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_CLANG_TIDY_OFF)),Off,On)
+
+# OMP Doesn't appear to work on these archs
+ARCH_NO_OMP:= riscv64 sparc64
+ENABLE_OMP:=  $(if $(filter $(DEB_TARGET_ARCH), $(ARCH_NO_OMP)),Off,On)
 
 BUILD_FLAGS = \
 	-DENABLE_DOCS=On \
 	-DENABLE_CLANG_TIDY=$(ENABLE_CLANG_TIDY) \
 	-DENABLE_GRIDTOOLS_STORAGE=Off  \
 	-DENABLE_ACC=Off \
+	-DENABLE_OMP=$(ENABLE_OMP) \
 	-DENABLE_FORTRAN=$(ENABLE_FORTRAN) \
 	-Datlas_FULL_INSTALL_CMAKE_DIR=$(LIBDIR)/cmake/atlas_ecmwf \
 	-DENABLE_INIT_SNAN=On \
-	-DENABLE_PROJ=On \
-	-DENABLE_32_BIT_HOST=$(ENABLE_32BIT)
+	-DENABLE_PROJ=On
 
 # Test suite requires 4 processors. Fake it
 export OMPI_MCA_rmaps_base_oversubscribe=1
@@ -51,12 +51,10 @@
 	dh_auto_configure -- ${BUILD_FLAGS} 
 	#ln -s atlas_ecmwf_ecbuild_config.h obj-$(DEB_HOST_MULTIARCH)/src/atlas/atlas_ecbuild_config.h
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f cmake/FindLatex.cmake
-
 override_dh_auto_test:
-	@echo Tests disabled in this release
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test || echo "Ignoring test failures in this build"
+endif
 
 override_dh_auto_install:
 	dh_auto_install
